"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getProjectDir = exports.getProjectName = void 0;
var tslib_1 = require("tslib");
var path_1 = tslib_1.__importDefault(require("path"));
var scaffolding_helpers_1 = require("./scaffolding.helpers");
var messages_1 = require("../../shared/messages");
exports.getProjectName = function (_a) {
    var dir = _a.dir, name = _a.name, onFailure = _a.onFailure;
    return tslib_1.__awaiter(void 0, void 0, void 0, function () {
        var _b;
        return tslib_1.__generator(this, function (_c) {
            switch (_c.label) {
                case 0:
                    if (!(dir !== undefined)) return [3 /*break*/, 1];
                    _b = name;
                    return [3 /*break*/, 3];
                case 1: return [4 /*yield*/, scaffolding_helpers_1.getSafeName({
                        basePath: process.cwd(),
                        name: name,
                        onPromptInitial: messages_1.newMessage.initial,
                        onPromptMessage: function (unsafeName) {
                            var message = messages_1.newMessage.existsPrompt(path_1.default.resolve(process.cwd(), unsafeName));
                            onFailure(message);
                            return message;
                        }
                    })];
                case 2:
                    _b = _c.sent();
                    _c.label = 3;
                case 3: return [2 /*return*/, _b];
            }
        });
    });
};
exports.getProjectDir = function (_a) {
    var dir = _a.dir, name = _a.name;
    return (dir !== undefined ? path_1.default.resolve(dir) : path_1.default.resolve(name));
};
